import { SetupContext } from 'vue';
import { FormDialogEmits, FormDialogProps } from '/@/components/dialog/formDialog/formDialog';

export const useFormDialog = (props: FormDialogProps, emits: SetupContext<FormDialogEmits>['emit']) => {
	/** @description 点击关闭对话框按钮 */
	const handleCloseClick = (evt: MouseEvent) => {
		emits('close', evt);
	};
	/** @description 点击确认提交 */
	const handleSubmitClick = (evt: MouseEvent) => {
		emits('submit', evt);
	};
	/** @description 在对话框关闭动画结束后触发 */
	const handleClosedClick = (evt: MouseEvent) => {
		emits('closed', evt);
	};
	return {
		handleCloseClick,
		handleSubmitClick,
		handleClosedClick,
	};
};
